Bug 130000 - new port: textproc/dikt - Dictionary for KDE4
Summary: new port: textproc/dikt - Dictionary for KDE4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-28 19:30 UTC by info
Modified: 2008-12-30 23:00 UTC (History)
0 users

See Also:


Attachments
file.shar (1.68 KB, text/plain)
2008-12-28 19:30 UTC, info
no flags Details
dikt.txt (452 bytes, text/plain)
2008-12-30 21:18 UTC, info
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description info 2008-12-28 19:30:01 UTC
Dikt is a dictionary application for KDE4. It is the client
side implementation of Dict protocol, with a browser interface
specialized for querying dictionaries.

Fix: Patch attached with submission follows:
Comment 1 Beech Rintoul freebsd_committer 2008-12-28 20:01:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Beech Rintoul freebsd_committer 2008-12-29 03:39:08 UTC
This port has 30+ leftover files. Please fix and submit a followup diff.

http://localhost/tb/logs/8.0-FreeBSD/dikt-1.log

Beech
-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail   | http://people.freebsd.org/~beech
 X  - NO Word docs in e-mail | Skype: akbeech
/ \  - http://www.FreeBSD.org/releases/7.0R/announce.html
---------------------------------------------------------------------------------------
Comment 3 Beech Rintoul freebsd_committer 2008-12-29 03:39:54 UTC
State Changed
From-To: open->feedback

Awaiting submitter feedback
Comment 4 Beech Rintoul freebsd_committer 2008-12-29 04:14:14 UTC
On Sunday 28 December 2008 18:39:08 Beech Rintoul wrote:
> This port has 30+ leftover files. Please fix and submit a followup diff.
>
> http://localhost/tb/logs/8.0-FreeBSD/dikt-1.log
>
> Beech

http://stargate.alaskaparadise.com/tb/logs/8.0-FreeBSD/dikt-1.log
-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail   | http://people.freebsd.org/~beech
 X  - NO Word docs in e-mail | Skype: akbeech
/ \  - http://www.FreeBSD.org/releases/7.0R/announce.html
---------------------------------------------------------------------------------------
Comment 5 Max Brazhnikov freebsd_committer 2008-12-29 17:46:00 UTC
Please don't hardcode PREFIX in ports Makefile,
instead add 'kdeprefix' to USE_KDE4 (see audio/kid3-kde4 for example).

Thanks,
Max
Comment 6 info 2008-12-30 21:18:06 UTC
There are leftovers, but not from this port. The port installs only 3
files and creates 1 directory, and it removed them all on unistall.
All those leftovers are from other ports, and from paths that dikt
never touches.

Dikt installs files in

bin
share/applications/kde4
share/apps/dikt


Leftovers are in

libdata
share/doc/HTML/en
share/qt4


There are problems with others ports, but otherwise the log file looks
fine. Attached is a patch for kdeprefix, and also added here at the
and, as google mail  tends to mess up attacments. I added kdehier as
well. Anything else missing?

Goran


--- ports/textproc/dikt/Makefile~       2008-12-28 13:10:32.000000000 -0500
+++ ports/textproc/dikt/Makefile        2008-12-30 15:48:25.000000000 -0500
@@ -13,10 +13,9 @@
 MAINTAINER=    goran.tal@gmail.com
 COMMENT=       Dictionary for KDE4

-USE_KDE4=      kdelibs automoc4 workspace
+USE_KDE4=      kdelibs kdeprefix kdehier automoc4 workspace
 USE_QT_VER=    4
 QT_COMPONENTS= corelib gui moc uic network svg xml
-PREFIX=                ${KDE4_PREFIX}
 USE_CMAKE=     yes

 PLIST_FILES=   bin/dikt \
Comment 7 Beech Rintoul freebsd_committer 2008-12-30 22:50:59 UTC
State Changed
From-To: feedback->open

Maintainer response
Comment 8 dfilter service freebsd_committer 2008-12-30 22:54:16 UTC
beech       2008-12-30 22:54:03 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/dikt        Makefile distinfo pkg-descr 
  Log:
  Dikt is a dictionary application for KDE4. It is the client
  side implementation of Dict protocol, with a browser interface
  specialized for querying dictionaries.
  
  WWW: http://diktv1.googlepages.com/
  
  PR:             ports/130000
  Submitted by:   Goran Tal <goran.tal at gmail.com>
  
  Revision  Changes    Path
  1.1288    +1 -0      ports/textproc/Makefile
  1.1       +26 -0     ports/textproc/dikt/Makefile (new)
  1.1       +3 -0      ports/textproc/dikt/distinfo (new)
  1.1       +5 -0      ports/textproc/dikt/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Beech Rintoul freebsd_committer 2008-12-30 22:55:33 UTC
State Changed
From-To: open->closed

Committed, Thanks!